- libbson 1.13.1 »
- API Reference »
- bson_writer_t

# bson_writer_destroy()

## Synopsis

    void
    bson_writer_destroy (bson_writer_t *writer);

## Parameters

- `writer`: A bson_writer_t.

## Description

Cleanup after `writer` and release any allocated memory. Does nothing if `writer` is NULL. Note that the buffer supplied to bson_writer_new() is NOT freed from this method. The caller is responsible for that.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.